Page MenuHomePhabricator

Editor loses focus when I'm pasting URLs
Closed, ResolvedPublic1 Estimated Story Points

Description

How it's supposed to work: (shown when editing a single section for simplicity)

== Section == 
Type type type [https://www.paste.url note the space after the URL] type type type save happy

How it fails:

 == Section == 
Type type type [https://www.paste.urlnote the missing space after the URL and the extra space before the beginning of the section] type type type save sad

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 18 2017, 6:54 PM

Which project is "it"? VisualEditor? Something else?

@Whatamidoing-WMF: Which project is this task about?

Restricted Application added a project: VisualEditor. · View Herald TranscriptApr 29 2017, 6:17 AM

Argh, I forgot to tag it. This happens in VisualEditor's new built-in wikitext mode. Thanks.

Change 351152 had a related patch set uploaded (by DLynch; owner: DLynch):
[VisualEditor/VisualEditor@master] UrlStringTransferHandler: in source mode, skip annotating if possible

https://gerrit.wikimedia.org/r/351152

Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.
Jdforrester-WMF set the point value for this task to 1.

Change 352833 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] MWWikitextDataTransferHandlerFactory: skip getWikitextFragment if possible

https://gerrit.wikimedia.org/r/352833

Change 351152 abandoned by DLynch:
UrlStringTransferHandler: in source mode, skip annotating if possible

Reason:
Put up I0e673856dec5 for this.

https://gerrit.wikimedia.org/r/351152

Jdforrester-WMF closed this task as Resolved.May 10 2017, 3:42 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 10 2017, 3:42 PM

Change 352833 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] MWWikitextDataTransferHandlerFactory: skip getWikitextFragment if possible

https://gerrit.wikimedia.org/r/352833

Change 353096 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] MWWikitextDataTransferHandlerFactory: Don't reimplement getText

https://gerrit.wikimedia.org/r/353096

Change 353096 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] MWWikitextDataTransferHandlerFactory: Don't reimplement getText

https://gerrit.wikimedia.org/r/353096

Jdforrester-WMF renamed this task from Loses focus when I'm pasting URLs to Editor loses focus when I'm pasting URLs.May 30 2017, 6:53 PM
Jdforrester-WMF removed a project: Patch-For-Review.